#!/bin/sh
set -e -x

#Workaround, drone doesn't give a fuck to set DRONE_COMMIT_BEFORE
if [ -n "$DRONE_COMMIT_AFTER" -a -n "$DRONE_COMMIT_LINK" -a -z "$DRONE_COMMIT_BEFORE" ]; then
  export DRONE_COMMIT_BEFORE=`echo "$DRONE_COMMIT_LINK" | sed \
    -e '/[0-9a-fA-F]\{7,\}[.]\{2,\}'"$DRONE_COMMIT_AFTER"'$/ !d' \
    -e 's/^.*\<\([0-9a-fA-F]\{7,\}\)[.]\{2,\}'"$DRONE_COMMIT_AFTER"'$/\1/'`
fi
#end of workaround

if [ -n "$PLUGIN_IGNORE" -a \( -n "$PLUGIN_POSITIVE" -o -n "$PLUGIN_NEGATIVE" \) ]; then
  set "$PLUGIN_IGNORE" "$PLUGIN_POSITIVE" "$PLUGIN_NEGATIVE"
fi

if git diff --name-only "$DRONE_COMMIT_AFTER" "$DRONE_COMMIT_BEFORE" | `dirname "$0"`/check-some-are-unignored.sh "$1"; then
  if [ -n "$2" ]; then touch "$2"; fi
else
  if [ -n "$3" ]; then touch "$3"; fi
fi
